package com.brilliance.isc.vo.model;


import com.brilliance.isc.bo.Fujian;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter

public class Yptgimod extends AbstractCommonVo {
    private List<Img> img;

    private Fujian fujian;

    @Override
    public void reset() {
        super.reset();
        if (fujian == null) {
            fujian = new Fujian();
        }
        if(img == null){
            img = new ArrayList<>();
        }
    }
}